Bug 1261268 - Heavy load causes WARN: "(HornetQ-client-global-threads-16711231)] WARN org.hornetq.core.client - HQ214021: Invalid concurrent session usage. Sessions are not supposed to be used by more than one thread concurrently."
Heavy load causes WARN: "(HornetQ-client-global-threads-16711231)] WARN org....
Status: CLOSED NOTABUG
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ (Show other bugs)
6.4.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Chao Wang
Miroslav Novak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 01:46 EDT by xuzhan
Modified: 2015-09-14 04:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-09 18:33:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HORNETQ-1179 Critical Closed invalid WARNING with stack trace is flooding logs 2017-12-05 05:54 EST

  None (edit)
Description xuzhan 2015-09-09 01:46:02 EDT
Description of problem:
When sending message faster then 0.1s, the WARN below will be shown frequently.

Version-Release number of selected component (if applicable):
JBoss EAP 6.4.0

How reproducible:
Using attached project is able to reproduce.

Steps to Reproduce:
1. starting JBoss EAP 6.4 with attached standalone-full.xml;
2. create user with "admin" role;
3. import "JMSTEST" project in IDE, change IP and username/password from "JMSTEST\config\OP_ServerInfo.properties" and "JMSTES\src\com\datangmobile\op\jms\JmsSender.java" adapt to your environment;
4. right click "JmsSender.java" -->Run As --> Java Application;
5. go into "JmsSender.java", if set little value to Thread.sleep like "Thread.sleep(5)", this WARN will be shown frequently.
   if set large value like "200" in it: "Thread.sleep(200)", this WARN will be gone.

Actual results:
~~~
17:04:40.224 [Thread-1 (HornetQ-client-global-threads-16711231)] WARN  org.hornetq.core.client - HQ214021: Invalid concurrent session usage. Sessions are not supposed to be used by more than one thread concurrently.
java.lang.Exception: trace
	at org.hornetq.core.client.impl.ClientSessionImpl.startCall(ClientSessionImpl.java:1333) [jboss-client.jar:7.5.0.Final-redhat-21]
	at org.hornetq.core.client.impl.ClientSessionImpl.acknowledge(ClientSessionImpl.java:808) [jboss-client.jar:7.5.0.Final-redhat-21]
	at org.hornetq.core.client.impl.ClientConsumerImpl.doAck(ClientConsumerImpl.java:1240) [jboss-client.jar:7.5.0.Final-redhat-21]
	at org.hornetq.core.client.impl.ClientConsumerImpl.acknowledge(ClientConsumerImpl.java:833) [jboss-client.jar:7.5.0.Final-redhat-21]
	at org.hornetq.core.client.impl.ClientMessageImpl.acknowledge(ClientMessageImpl.java:96) [jboss-client.jar:7.5.0.Final-redhat-21]
	at org.hornetq.jms.client.JMSMessageListenerWrapper.onMessage(JMSMessageListenerWrapper.java:133) [jboss-client.jar:7.5.0.Final-redhat-21]
	at org.hornetq.core.client.impl.ClientConsumerImpl.callOnMessage(ClientConsumerImpl.java:1117) [jboss-client.jar:7.5.0.Final-redhat-21]
	at org.hornetq.core.client.impl.ClientConsumerImpl.access$500(ClientConsumerImpl.java:57) [jboss-client.jar:7.5.0.Final-redhat-21]
	at org.hornetq.core.client.impl.ClientConsumerImpl$Runner.run(ClientConsumerImpl.java:1252) [jboss-client.jar:7.5.0.Final-redhat-21]
	at org.hornetq.utils.OrderedExecutorFactory$OrderedExecutor$1.run(OrderedExecutorFactory.java:105) [jboss-client.jar:7.5.0.Final-redhat-21]
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886) [na:1.6.0_14]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908) [na:1.6.0_14]
	at java.lang.Thread.run(Thread.java:619) [na:1.6.0_14]
~~~


Expected results:
No such WARNs.

Additional info:
Comment 7 Clebert Suconic 2015-09-09 18:34:43 EDT
To fix this use proper session isolation.. one session per Thread and you won't see such exceptions. It's user's application.. 


This is actually a feature. We added this to prevent other issues.

Note You need to log in before you can comment on or make changes to this bug.